package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 合作单位
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("cooperation_organ")
public class CooperationOrgan extends Model<CooperationOrgan> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;
    @TableField("organ_id_")
    private Integer organId;
    /**
     * 单位名称
     */
    @TableField("name_")
    private String name;
    /**
     * 联系人
     */
    @TableField("linkman_")
    private String linkman;
    @TableField("job_")
    private String job;
    @TableField("mobile_no_")
    private String mobileNo;
    @TableField("address_")
    private String address;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("del_flag_")
    private String delFlag;


    public Integer getId() {
        return id;
    }

    public CooperationOrgan setId(Integer id) {
        this.id = id;
        return this;
    }

    public Integer getOrganId() {
        return organId;
    }

    public CooperationOrgan setOrganId(Integer organId) {
        this.organId = organId;
        return this;
    }

    public String getName() {
        return name;
    }

    public CooperationOrgan setName(String name) {
        this.name = name;
        return this;
    }

    public String getLinkman() {
        return linkman;
    }

    public CooperationOrgan setLinkman(String linkman) {
        this.linkman = linkman;
        return this;
    }

    public String getJob() {
        return job;
    }

    public CooperationOrgan setJob(String job) {
        this.job = job;
        return this;
    }

    public String getMobileNo() {
        return mobileNo;
    }

    public CooperationOrgan setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public CooperationOrgan setAddress(String address) {
        this.address = address;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public CooperationOrgan setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public CooperationOrgan setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public CooperationOrgan setDelFlag(String delFlag) {
        this.delFlag = delFlag;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CooperationOrgan{" +
        ", id=" + id +
        ", organId=" + organId +
        ", name=" + name +
        ", linkman=" + linkman +
        ", job=" + job +
        ", mobileNo=" + mobileNo +
        ", address=" + address +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", delFlag=" + delFlag +
        "}";
    }
}
